Skip to main content
POST
/
orders
/
status
Get Specific Orders' Status
curl --request POST \
  --url https://futures.kraken.com/derivatives/api/v3/orders/status \
  --header 'APIKey: <api-key>' \
  --header 'Authent: <api-key>'
import requests

url = "https://futures.kraken.com/derivatives/api/v3/orders/status"

headers = {
    "APIKey": "<api-key>",
    "Authent": "<api-key>"
}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};

fetch('https://futures.kraken.com/derivatives/api/v3/orders/status', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://futures.kraken.com/derivatives/api/v3/orders/status"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("APIKey", "<api-key>")
	req.Header.Add("Authent", "<api-key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
{
  "orders": [
    {
      "order": {
        "orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "cliOrdId": "<string>",
        "symbol": "<string>",
        "side": "<string>",
        "quantity": 123,
        "filled": 123,
        "limitPrice": 123,
        "reduceOnly": true,
        "timestamp": "<string>",
        "lastUpdateTimestamp": "<string>",
        "algoId": "<string>",
        "priceTriggerOptions": {
          "triggerPrice": 123,
          "trailingStopOptions": {
            "maxDeviation": 123
          }
        },
        "triggerTime": "<string>"
      }
    }
  ],
  "result": "success",
  "serverTime": "2020-08-27T17:03:33.196Z"
}

Authorizations

APIKey
string
header
required

General API key with full access

Authent
string
header
required

Authentication string

Query Parameters

orderIds
string<uuid>[]

UIDs associated with orders or triggers.

cliOrdIds
string[]

Client Order IDs associated with orders or triggers.

Response

200 - application/json
orders
object[]
required
result
enum<string>
required
Available options:
success
Example:

"success"

serverTime
string<date-time>
required

Server time in Coordinated Universal Time (UTC)

Example:

"2020-08-27T17:03:33.196Z"